"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PageLoader = void 0;
var core_1 = require("primeobjects-helper-util/build/cjs/core");
var colors_1 = require("primeobjects-helper-util/build/cjs/colors");
var react_1 = __importDefault(require("react"));
var svg_1 = require("primeobjects-ui-web-basic/build/cjs/controls/svg");
var primary_color_1 = require("primeobjects-helper-ui/build/cjs/hooks/primary-color");
var primeobjects_helper_ui_1 = require("primeobjects-helper-ui");
var PageLoader = function (props) {
    var _a;
    var solution = (_a = props.solution) !== null && _a !== void 0 ? _a : (0, primeobjects_helper_ui_1.getSolution)();
    var primaryColor = (0, primary_color_1.usePrimaryColor)(solution);
    var iconSrc = (0, core_1.isNonEmptyString)(props.iconSrc)
        ? props.iconSrc
        : "/logo.svg";
    var showText = props.showText == true;
    return (react_1.default.createElement("div", { className: "h-screen flex flex-col my-auto items-center bgimg bg-cover" },
        react_1.default.createElement("div", { className: "border border-gray-150 rounded-xl p-4 m-auto ".concat(showText ? "max-w-xs w-full" : "") },
            react_1.default.createElement("div", { className: "flex " },
                react_1.default.createElement(svg_1.SVG, { id: "loader_icon", src: iconSrc, color: props.usePrimaryColor
                        ? primaryColor["500"]
                        : colors_1.COLORS.GRAY[600], className: "spinner h-8 w-8", size: 30 }),
                showText && (react_1.default.createElement("div", { className: "animate-pulse flex-1 space-y-6 py-1 ml-5" },
                    react_1.default.createElement("div", { className: "space-y-3" },
                        react_1.default.createElement("div", { className: "grid grid-cols-3 gap-4" },
                            react_1.default.createElement("div", { className: "h-2 bg-gray-200 rounded col-span-2" }),
                            react_1.default.createElement("div", { className: "h-2 bg-gray-200 rounded col-span-1" })),
                        react_1.default.createElement("div", { className: "h-2 bg-gray-200 rounded" }))))))));
};
exports.PageLoader = PageLoader;
exports.default = exports.PageLoader;
//# sourceMappingURL=loader.js.map